package com.zswc.creativity.activity

import android.os.Bundle
import com.qmuiteam.qmui.kotlin.onClick
import com.zswc.creativity.base.MBActivity
import com.zswc.creativity.databinding.ActivityTextMainBinding
import com.zswc.creativity.vmodel.TextMainVModel

class TestMainActivity : MBActivity<TextMainVModel, ActivityTextMainBinding>() {

    override fun vmClass(): Class<TextMainVModel> {
        return TextMainVModel::class.java
    }

    override fun binding(): ActivityTextMainBinding {
        return ActivityTextMainBinding.inflate(layoutInflater)
    }

    override fun title(): String? {
        return null
    }

    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)


    }

    override fun listeners() {
        super.listeners()
        binding.imgHome.onClick {
            binding.drawerLayout.openDrawer(binding.menuLayoutLeft)
            //关闭
           // binding.drawerLayout.closeDrawers()


        }
    }


}
